Template から参照されていない Environment を削除します。
パス
DELETE /api/v1/forward/environments/{id}
リクエストヘッダー
| ヘッダー | 必須 | 説明 |
|---|---|---|
Authorization | はい | Bearer <PAT または SAT> |
パス参数
| パラメーター | 型 | 必須 | 説明 |
|---|---|---|---|
id | string | はい | Environment ID。 |
クエリパラメーター
| Parameter | Type | Required | Description |
|---|---|---|---|
identity_id | string | No | Identity に属するリソースを操作する場合のみ使用する任意のパラメーターです。PAT では明示的に指定でき、省略時は管理者スコープになります。SAT では Identity スコープのトークンを発行し、このパラメーターを明示的に指定しないでください。指定すると HTTP 400 が返されます。Identity の帰属. |
リクエスト例
レスポンス例
レスポンスフィールド
| フィールド | 型 | 説明 |
|---|---|---|
id | string | ID of the deleted resource. |
type | string | 削除結果のタイプ。 |
deleted | boolean | リソースが削除されたかどうか。 |
エラー
| HTTP | Type | 発生条件 |
|---|---|---|
| 400 | invalid_request_error | The request body, path parameters, or pagination parameters are invalid. SAT が identity_id を明示的に指定した場合も返されます。 |
| 401 | authentication_error | 認証トークンがないか、無効です。 |
| 403 | permission_error | identity_id を指定しない PAT または Admin SAT で Owner mismatch が発生したか、その他の権限が不足しています。 |
| 404 | not_found_error | The Environment does not exist, is not registered, or is not visible. identity_id is invalid, disabled, or does not belong to the caller, or the target resource does not belong to the current Identity scope. |
| 409 | conflict_error | 冪等性キーが競合している、作成リカバリーに手動対応が必要、または削除時にリソースが参照されています。 |
| 500/502/503 | api_error | Forward または依存サービスでエラーが発生しました。 |

